// Copyright (c) 2017, Marty Mills <daggerbot@gmail.com>
// This software is available under the terms of the zlib license.
// See COPYING.md for more information.

pub use dwindow::{Error, ErrorKind, Result};

macro_rules! err {
    ($kind:ident) => {
        $crate::Error::new($crate::ErrorKind::$kind)
    };
}
