// Copyright (c) 2017, Marty Mills <daggerbot@gmail.com>
// This software is available under the terms of the zlib license.
// See COPYING.md for more information.

#[cfg(all(unix, not(target_os = "macos")))]
pub mod glx;

#[cfg(all(unix, not(target_os = "macos")))]
pub use self::glx::{
    ConfigProvider,
    ConfigsProvider,
    ContextProvider,
    CurrentProvider,
};

/// Returns a resource's provider.
pub trait GetProvider {
    type Provider;
    fn provider (&self) -> &Self::Provider;
}
