// Copyright (c) 2017, Marty Mills <daggerbot@gmail.com>
// This software is available under the terms of the zlib license.
// See COPYING.md for more information.

use dwindow::Window;

/// Surface reference.
#[derive(Clone, Copy, Eq, PartialEq)]
pub enum SurfaceRef<'a> {
    Window(&'a Window),
}

impl<'a> From<&'a Window> for SurfaceRef<'a> {
    fn from (window: &'a Window) -> SurfaceRef<'a> { SurfaceRef::Window(window) }
}
